import * as React from 'react';
import { type FieldAPI } from '@contentful/field-editor-shared';
export interface UrlEditorProps {
    /**
     * is the field disabled initially
     */
    isInitiallyDisabled: boolean;
    /**
     * sdk.field
     */
    field: FieldAPI;
    /**
     * id used for associating the input field with its label
     */
    id?: string;
    children?: (props: {
        value: string | null | undefined;
    }) => React.ReactNode;
}
export declare function UrlEditor(props: UrlEditorProps): React.JSX.Element;
export declare namespace UrlEditor {
    var defaultProps: {
        isInitiallyDisabled: boolean;
    };
}
